Subject: RE: problems with latest Cygwin 1.1
From: "Parker, Ron" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: Carl Thompson <[email-masked]>
Date: Mon, 5 Jun 2000 12:50:18 -0500

> -----Original Message-----
> From: Carl Thompson [mailto:[email-masked]]
> Sent: Monday, June 05, 2000 12:43 AM
> To: [email-masked]
> Subject: problems with latest Cygwin 1.1
> 
> 
> Hello,
> 
>      I'm having problems using the latest Cygwin release 
> (just downloaded
> and installed today using today's setup.exe).  If I compile 
> any trivial C++
> application with the "-mno-cygwin" option, the compile 
> apparently succeeds
> but when the application is run it faults.  I am running on 
> Windows 2000. 
> Using the C compiler to generate executables works fine; just 
> executables
> compiled using the C++ compiler die.  I have used older 
> versions (1.0) of
> Cygwin with success.  My development project (the LGPLed FLTK 
> cross platform
> GUI toolkit) does not require the Cygwin DLL, however it does 
> require the
> Cygwin build enviroment.
> 
>      Also, the Insight debugger supplied with the latest 
> Cygwin cannot seem
> to find / process source files on my system.  When I start up 
> the debugger
> with an executable compiled with the "-g" flag, it pops up a 
> dialog with a
> lot of error output apparently related to loading the source 
> file.  The
> program's source is not displayed, nor does it seem to know the source
> files' names as normal.  I've used a previous version on a 
> previous version
> of Cygwin with success.
> 
>      Are the bugs known and is it known when they will be 
> fixed?  I would
> rather not go back to 1.0 because I have to heavily modify it 
> to use newer
> compilers and tools (takes a while).
> 
>      Please CC me in any responses; I am not on the list.

I might suggest that you go to the mailing list archives and do a search.
Both of these topics have been abused to death on the list in the last
month.  See http://sourceware.cygnus.com/ml/cygwin/ and
http://www.delorie.com/archives/ for two different archive interfaces.

This thread addresses what might be causing your 'fault'.
	
http://www.delorie.com/archives/search.cgi?search=Exception+Handling+Broken&
since=month&db=cygwin

And a search for 'gdb' will yeild enough reading material for the next
month.

HTH

--
Want to unsubscribe from this list?
Send a message to [email-masked]